Package org.eclipse.birt.chart.model.attribute

# Interface JavaDateFormatSpecifier

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `FormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `JavaDateFormatSpecifierImpl`

public interface JavaDateFormatSpecifier extends FormatSpecifier
A representation of the model object 'Java Date Format Specifier'. JavaDateFormatSpecifier extends FormatSpecifier specialized to represent a java DateFormat instance.

The following features are supported:

- `Pattern`

See Also:
  - `AttributePackage.getJavaDateFormatSpecifier()`

## Method Summary

Modifier and Type
Method
Description
`JavaDateFormatSpecifier`
`copyInstance()`
`String`
`format(com.ibm.icu.util.Calendar c, com.ibm.icu.util.ULocale lcl)`
Formats a calendar value using the Java date format pattern NOTE: Manually written
`String`
`format(com.ibm.icu.util.Calendar c, Locale lcl)`
Deprecated.
`String`
`getPattern()`
Returns the value of the 'Pattern' attribute.
`void`
`setPattern(String value)`
Sets the value of the '`Pattern`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getPattern

String getPattern()
Returns the value of the 'Pattern' attribute. Attribute "Pattern" specifies the pattern string used for establishing a DateFormat instance.

Returns:
  the value of the 'Pattern' attribute.
See Also:
  - `setPattern(String)`
  - `AttributePackage.getJavaDateFormatSpecifier_Pattern()`

### setPattern

void setPattern(String value)
Sets the value of the '`Pattern`' attribute.

Parameters:
  `value` - the new value of the 'Pattern' attribute.
See Also:
  - `getPattern()`

### format

@Deprecated String format(com.ibm.icu.util.Calendar c, Locale lcl)
Deprecated.
Formats a calendar value using the Java date format pattern NOTE: Manually written

Parameters:
  `c` -
  `lcl` -

### format

String format(com.ibm.icu.util.Calendar c, com.ibm.icu.util.ULocale lcl)
Formats a calendar value using the Java date format pattern NOTE: Manually written

Parameters:
  `c` -
  `lcl` -
Since:
  2.1

### copyInstance

JavaDateFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`